Download it now!
Bug 101783 - Percent-value for font size in character style works wrongly.
Summary: Percent-value for font size in character style works wrongly.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Character Font-Size
  Show dependency treegraph
 
Reported: 2016-08-29 19:10 UTC by Regina Henschel
Modified: 2019-11-07 03:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example with custom character size with parent-child relation and percent value (11.45 KB, application/vnd.oasis.opendocument.text)
2016-08-29 19:10 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-08-29 19:10:48 UTC
Created attachment 127068 [details]
Example with custom character size with parent-child relation and percent value

Open attached document. Change the font size of the style "Basis" to a different value. This changes the size of the word "Basis", which has this style applied.

The word "size" has the style "Basis200%" applied. This style is a child of style "Basis" and its font size is set to the value 200%.

Expected behavior: The size of the word "size" follows the changes in the parent style "Basis".
Observed behavior: The size does not change.

Save and reload the document. Now the word "size" get the totally wrong size value 24pt.

Open the style "Basis200%" on tab "Font" for Modify. Click on OK without changing anything. Now the size of the word "size" is set correctly to double of what you have set in style "Basis".

If you look in the standards for the correct behavior, then notice, that in section "20.183 fo:font-size" it is explicitly said, that for percent the parent style is used as reference.
Comment 1 Octavio Alvarez 2016-09-18 08:21:48 UTC
Confirmed on Debian/Sid.

Version: 5.1.3.1
Build ID: 1:5.1.3~rc1-1
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
Locale: en-US (en_US.utf8)

Font color, for example, does propagate to children when modified. Font size doesn't. Editing the child by hand and changing to a different value en then to 200% recalculates properly.
Comment 2 Buovjaga 2016-10-08 19:13:04 UTC
NEW per comment 1.
Comment 3 QA Administrators 2017-10-23 14:09:02 UTC Comment hidden (obsolete)
Comment 4 Regina Henschel 2018-11-06 14:09:22 UTC
The error still exists in Version: 6.2.0.0.alpha1+ (x64)
Build ID: f825e6d4082c0d0beb1c95b881f6a2ee9bfc9161
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-05_00:20:26
Locale: de-DE (en_US); Calc: CL
Comment 5 QA Administrators 2019-11-07 03:33:51 UTC
Dear Regina Henschel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug